aubio: temporal/a_weighting.h File Reference

aubio 0.4.9

Loading...
Searching...
No Matches
Functions
a_weighting.h File Reference

A-weighting filter coefficients. More...

Go to the source code of this file.

## Functions
aubio_filter_t * | new_aubio_filter_a_weighting (uint_t samplerate)
| create new A-design filter
uint_t | aubio_filter_set_a_weighting (aubio_filter_t *f, uint_t samplerate)
| set feedback and feedforward coefficients of a A-weighting filter

## Detailed Description

A-weighting filter coefficients.

This file creates an A-weighting digital filter, which reduces low and high frequencies and enhance the middle ones to reflect the ability of the human hearing.

The implementation is based on the following standard:

- IEC/CD 1672: Electroacoustics-Sound Level Meters, IEC, Geneva, Nov. 1996, for A- and C-weighting filters.

See also:

- A-Weighting on Wikipedia
- Weighting filter on Wikipedia
- Christophe Couvreur's 'octave' toolbox

The coefficients in this file have been computed using Christophe Couvreur's scripts in octave 3.0 (debian package 1:3.0.5-6+b2 with octave-signal 1.0.9-1+b1 on i386), with

     [b, a] = adsign(1/Fs)

for various sampling frequencies (8000, 11025, 16000, 22050, 24000, 32000, 44100, 48000, 88200, 96000, and 192000 Hz).

The sampling frequency should normally be higher than 20kHz, but most common file sampling rates have been included for completeness.

Definition in file a_weighting.h.

## Function Documentation

## ◆ aubio_filter_set_a_weighting()

uint_t aubio_filter_set_a_weighting | ( | aubio_filter_t * | f,
|  | uint_t | samplerate
| ) |  |

set feedback and feedforward coefficients of a A-weighting filter

Parameters

  f | filter object to get coefficients from
  samplerate | sampling frequency of the signal to filter. Should be one of 8000, 11025, 16000, 22050, 24000, 32000, 44100, 48000, 88200, 96000, and 192000 Hz

Examples
  temporal/test-a_weighting.c, and temporal/test-filter.c.

## ◆ new_aubio_filter_a_weighting()

aubio_filter_t * new_aubio_filter_a_weighting | ( | uint_t | samplerate | ) |

create new A-design filter

Parameters

  samplerate | sampling frequency of the signal to filter. Should be one of 8000, 11025, 16000, 22050, 24000, 32000, 44100, 48000, 88200, 96000, and 192000 Hz

Returns
  a new filter object

Examples
  temporal/test-a_weighting.c, and temporal/test-filter.c.